@echo off
color 16
pushd %~dp0
If "%PROCESSOR_ARCHITECTURE%"=="AMD64" (Goto x64) Else (Goto x86)

:x86
7z x comfile.7z -y -o"%CommonProgramFiles%" -r
regedit /s Install-x86.reg
regsvr32 /s "%CommonProgramFiles%\Nero\AdvrCntr5\AdvrCntr5.dll"
reg add "HKLM\SOFTWARE\Nero\Shared" /f /v "Dolby10" /t REG_SZ /d "%CommonProgramFiles%\Nero\DolbyFiles10\\"
Goto end

:x64
7z x comfile.7z -y -o"%CommonProgramFiles(x86)%" -r
regedit /s Install-x64.reg
regsvr32 /s "%CommonProgramFiles(x86)%\Nero\AdvrCntr5\AdvrCntr5.dll"
reg add "HKLM\SOFTWARE\Wow6432Node\Nero\Shared" /f /v "Dolby10" /t REG_SZ /d "%CommonProgramFiles(x86)%\Nero\DolbyFiles10\\"
Goto end

:end
echo.
echo.
echo.
echo.
echo    Nero WaveEditor 安装完成，按任意键退出！
pause >nul







:: 由雨浪飘零（Molo_king ）制作
:: http://hi.baidu.com/molo_king
